## Settings file was created by plugin Fika.Core v2.0.7
## Plugin GUID: com.fika.core

[Advanced]

## Show official version instead of Fika version.
# Setting type: Boolean
# Default value: false
Show Official Version = false

## Enables developer features
# Setting type: Boolean
# Default value: false
Developer Mode = false

## Stops AI from spawning
# Setting type: Boolean
# Default value: false
No AI = false

## Stops loot from spawning
## Speeds up loading for debugging
# Setting type: Boolean
# Default value: false
No Loot = false

## What priority loading other players (and AI as a client) uses.
## Might not have a huge effect.
# Setting type: ELoadPriority
# Default value: Low
# Acceptable values: Low, Medium, High
Player Load Priority = Low

## Max amount of bundles loading in parallel.
## Increase if you take a long time to load bots as a client.
## 
## Default game value is 1 but has been increased to remedy the base game issue where bundles load too slow
# Setting type: Int32
# Default value: 5
# Acceptable value range: From 1 to 10
Max Bundle Lock = 5

[Coop]

## Always tick the box to use the Headless Client if available
# Setting type: Boolean
# Default value: false
Auto Use Headless = false

## Enable custom notifications when a player dies, extracts, kills a boss, etc.
# Setting type: Boolean
# Default value: true
Show Feed = true

## Automatically extracts after the extraction countdown. As a host, this will only work if there are no clients connected.
# Setting type: Boolean
# Default value: false
Auto Extract = false

## Whether to show the extract message after dying/extracting.
# Setting type: Boolean
# Default value: true
Show Extract Message = true

## The key used to extract from the raid.
# Setting type: KeyboardShortcut
# Default value: F8
Extract Key = F8

## Whether to show the extract message after dying/extracting.
# Setting type: Boolean
# Default value: true
Show In-Game Player List = true

## Toggle to enable chat in game. Cannot be change mid raid.
# Setting type: Boolean
# Default value: false
Enable Chat = false

## The key used to open the chat window.
# Setting type: KeyboardShortcut
# Default value: RightControl
Chat Key = RightControl

## If the online players menu should be shown in the menu.
# Setting type: Boolean
# Default value: true
Enable Online Players = true

## The scale of the window that displays online players. Only change if it looks out of proportion.
## 
## Requires a refresh of the main menu to take effect.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.5 to 1.5
Online Players Scale = 1

[Coop | Debug]

## Button used to toggle free camera.
# Setting type: KeyboardShortcut
# Default value: F9
Free Camera Button = F9

## If we should allow spectating bots if all players are dead/extracted.
# Setting type: Boolean
# Default value: true
Allow Spectating Bots = true

## If free camera should use AZERTY keys for input.
# Setting type: Boolean
# Default value: false
AZERTY Mode = false

## If the free camera should move only along the vertical axis like a drone.
# Setting type: Boolean
# Default value: false
Drone Mode = false

## Keybind Overlay
# Setting type: Boolean
# Default value: true
Keybind Overlay = true

[Coop | Name Plates]

## If name plates should be shown above teammates.
# Setting type: Boolean
# Default value: true
Show Player Name Plates = true

## Completely hides the health bar.
# Setting type: Boolean
# Default value: false
Hide Health Bar = false

## Shows health in % amount instead of using the bar.
# Setting type: Boolean
# Default value: false
Show HP% instead of bar = false

## If status effects should be displayed below the health bar.
# Setting type: Boolean
# Default value: true
Show Effects = true

## Shows the player faction icon next to the HP bar.
# Setting type: Boolean
# Default value: true
Show Player Faction Icon = true

## Hides the name plate when viewing through PiP scopes.
# Setting type: Boolean
# Default value: true
Hide Name Plate in Optic = true

## If name plate location should be displayed using the PiP optic camera.
# Setting type: Boolean
# Default value: true
Name Plates Use Optic Zoom = true

## Decreases the opacity of the name plates when not looking at a player.
# Setting type: Boolean
# Default value: true
Decrease Opacity In Peripheral = true

## Size of the name plates.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.5 to 1.5
Name Plate Scale = 1

## The opacity of the name plates when aiming down sights.
# Setting type: Single
# Default value: 0.75
# Acceptable value range: From 0.1 to 1
Opacity in ADS = 0.75

## The maximum distance at which name plates will become invisible, starts to fade at half the input value.
# Setting type: Single
# Default value: 500
# Acceptable value range: From 10 to 1000
Max Distance to Show = 500

## The minimum opacity of the name plates.
# Setting type: Single
# Default value: 0.1
# Acceptable value range: From 0 to 1
Minimum Opacity = 0.1

## Use occlusion to hide the name plate when the player is out of sight.
# Setting type: Boolean
# Default value: false
Use Occlusion = false

## The color displayed when at full health. This will gradually move towards 'Low Health Color' when HP decreases.
# Setting type: Color
# Default value: 00FF00FF
Full Health Color = 00FF00FF

## The color displayed when at low health. This will gradually move towards 'Full Health Color' when HP increases.
# Setting type: Color
# Default value: FF0000FF
Low Health Color = FF0000FF

## The color of the text above the name plate.
# Setting type: Color
# Default value: FFFFFFFF
Name Plate Text Color = FFFFFFFF

[Coop | Pinging]

## Toggle Ping System. If enabled you can receive and send pings by pressing the ping key.
# Setting type: Boolean
# Default value: true
Ping System = true

## Button used to send pings.
# Setting type: KeyboardShortcut
# Default value: Semicolon
Ping Button = Semicolon

## The color of your pings when displayed for other players.
# Setting type: Color
# Default value: FFFFFFFF
Ping Color = FFFFFFFF

## The multiplier of the ping size.
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.1 to 2
Ping Size = 1

## How long pings should be displayed.
# Setting type: Int32
# Default value: 3
# Acceptable value range: From 2 to 10
Ping Time = 3

## Plays the pointing animation automatically when pinging. Can interfere with gameplay.
# Setting type: Boolean
# Default value: false
Play Ping Animation = false

## If pings should be displayed while aiming down an optics scope.
# Setting type: Boolean
# Default value: false
Show Ping During Optics = false

## If ping location should be displayed using the PiP optic camera.
# Setting type: Boolean
# Default value: true
Ping Use Optic Zoom = true

## If ping size should scale with distance from player.
# Setting type: Boolean
# Default value: true
Ping Scale With Distance = true

## The minimum opacity of pings when looking straight at them.
# Setting type: Single
# Default value: 0.05
# Acceptable value range: From 0 to 0.5
Ping Minimum Opacity = 0.05

## Shows the range from your player to the ping if enabled.
# Setting type: Boolean
# Default value: false
Show Ping Range = false

## The audio that plays on ping
# Setting type: EPingSound
# Default value: SubQuestComplete
# Acceptable values: SubQuestComplete, InsuranceInsured, ButtonClick, ButtonHover, InsuranceItemInsured, MenuButtonBottom, ErrorMessage, InspectWindow, InspectWindowClose, MenuEscape
Ping Sound = SubQuestComplete

[Coop | Quest Sharing]

## Disabled by server host
# Setting type: EQuestSharingTypes
# Default value: All
# Acceptable values: None, Kills, Item, Location, PlaceBeacon, All
# Multiple values can be set at the same time by separating them with , (e.g. Debug, Warning)
Quest Types = All

## Disabled by server host
# Setting type: Boolean
# Default value: true
Show Notifications = true

## Disabled by server host
# Setting type: Boolean
# Default value: false
Easy Kill Conditions = false

## Disabled by server host
# Setting type: Boolean
# Default value: false
Shared Kill Experience = false

## Disabled by server host
# Setting type: Boolean
# Default value: false
Shared Boss Experience = false

[Gameplay]

## Disables metabolism on bots, preventing them from dying from loss of energy/hydration during long raids.
# Setting type: Boolean
# Default value: false
Disable Bot Metabolism = false

[Hidden]

## Last loaded version of Fika
# Setting type: String
# Default value: 0
Last Version = 0

[Network]

## Forces the server when hosting to use this IP when broadcasting to the backend instead of automatically trying to fetch it. Leave empty to disable.
# Setting type: String
# Default value: 
Force IP = 

## Forces the server when hosting to use this local adapter when starting the server. Useful if you are hosting on a VPN.
# Setting type: String
# Default value: 0.0.0.0
# Acceptable values: Disabled, 0.0.0.0, 192.168.2.4, 192.168.2.15, 10.147.20.40, 10.121.15.40, 172.18.0.1, 172.17.0.1, 192.168.122.1
Force Bind IP = 0.0.0.0

## Port to use for UDP gameplay packets.
# Setting type: UInt16
# Default value: 25565
# Acceptable value range: From 0 to 65535
UDP Port = 25565

## Attempt to open ports using UPnP. Useful if you cannot open ports yourself but the router supports UPnP.
# Setting type: Boolean
# Default value: false
Use UPnP = false

## Use NAT punching when hosting a raid. Only works with fullcone NAT type routers and requires NatPunchServer to be running on the SPT server. UPnP, Force IP and Force Bind IP are disabled with this mode.
# Setting type: Boolean
# Default value: false
Use NAT Punching = false

## How long it takes for a connection to be considered dropped if no packets are received.
# Setting type: Int32
# Default value: 30
# Acceptable value range: From 5 to 60
Connection Timeout = 30

## How often per second movement packets should be sent (lower = less bandwidth used, slight more delay during interpolation)
## This only affects the host and will be synchronized to all clients.
## Amount is per second:
## Low = 10
## Medium = 20
## High = 30
## 
## Recommended to leave at no higher than Medium as the gains are insignificant after.
# Setting type: ESendRate
# Default value: Medium
# Acceptable values: Low, Medium, High
Send Rate = Medium

## If VOIP will be enabled when you are hosting.
# Setting type: Boolean
# Default value: false
Allow VOIP = false

